<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from moc_unique.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="moc_unique" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>moc_unique</refname>
    <refpurpose>Return the unique elements of x, sorted in ascending order.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   moc_unique (x)
   moc_unique (x, "rows")
   moc_unique (..., "first")
   umoc_nique (..., "last")
   [y, i, j] = moc_unique (...)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
If x is a row vector, return a row vector, but if x
is a column vector or a matrix return a column vector.
   </para>
   <para>
If the optional argument "rows" is supplied, return the unique
rows of x, sorted in ascending order.
   </para>
   <para>
If requested, return index vectors i and j such that
x(i)==y and y(j)==x.
   </para>
   <para>
Additionally, one of "first" or "last" may be given as
an argument.  If "last" is specified, return the highest
possible indices in i, otherwise, if "first" is
specified, return the lowest.  The default is "last".
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="moc_ismember">moc_ismember</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2008, 2009 Jaroslav Hajek</member>
   <member>Copyright (C) 2000, 2001, 2005, 2006, 2007 Paul Kienzle</member>
   <member>H. Nahrstaedt 2010,2011</member>
   </simplelist>
</refsection>
</refentry>
